Package org.sonatype.maven.polyglot

## Class PolyglotPropertiesEnhancer

- java.lang.Object
- - org.sonatype.maven.polyglot.PolyglotPropertiesEnhancer

    public class PolyglotPropertiesEnhancer
    extends java.lang.Object

### Constructor Summary

Constructors
`PolyglotPropertiesEnhancer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `enhanceModel​(java.util.Properties properties, org.apache.maven.model.Model model)` Enhances the model by overriding properties

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolyglotPropertiesEnhancer

    public PolyglotPropertiesEnhancer()

### Method Detail

#### enhanceModel

    public static void enhanceModel​(java.util.Properties properties,
                                    org.apache.maven.model.Model model)

Enhances the model by overriding properties

Parameters:
  `properties` - the overriding properties
  `model` - the model to enhance